<?php
/********************************************************
  Coppermine 1.5.x Plugin - Google Maps
  *******************************************************
  Copyright (c) 2010 Alexander Usachev (alex@a-l-e-x.ru)
  *******************************************************/
  
if (!defined('IN_COPPERMINE')) {
    die('Not in Coppermine...');
}

if (defined('DISPLAYIMAGE_PHP')) {
    $thisplugin->add_filter('file_info','google_maps_view');
    $thisplugin->add_filter('page_meta','google_maps_gallery_header'); // (shows just above the gallery)
}

function google_maps_view($html) {
    global $CURRENT_PIC_DATA;
    require ('./plugins/google_maps/lang/english.php');
    if ($CONFIG['lang'] != 'english' && file_exists('./plugins/google_maps/lang/' . $CONFIG['lang'] . '.php')) {
        require ('./plugins/google_maps/lang/' . $CONFIG['lang'] . '.php');
    }
	
	$exif = read_exif_data_raw(get_pic_url($CURRENT_PIC_DATA),0);
	print_r($exif);
	//die;

    if ($exif['GPS']['Longitude'] && $exif['GPS']['Latitude']){
        $html[$lang_plugin_google_maps['infoheader']] = <<< EOT
        <a href="javascript:;" onclick= "showmap({$exif['GPS']['Longitude']},{$exif['GPS']['Latitude']});">
            <strong>{$lang_plugin_google_maps['longitude']}: {$exif['GPS']['Longitude']}, {$lang_plugin_google_maps['latitude']}: {$exif['GPS']['Latitude']}</strong>
        </a>
        <div id ="gmaps3_block" class="gmaps3_block"></div>
EOT;
    } else {
        $html[$lang_plugin_google_maps['infoheader']] = $lang_plugin_google_maps['nodata'];	
    }
    return $html;
}

function google_maps_gallery_header($meta) {
    global $JS;
    if (in_array('plugins/google_maps/script.js', $JS['includes']) != TRUE) {
        $JS['includes'][] = 'plugins/google_maps/script.js';
    }
$meta .= <<< EOT
<link rel="stylesheet" href="plugins/google_maps/style.css" type="text/css" />
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
EOT;

return $meta;
}


?>